package com.engine.salary.util.excel;

import java.lang.annotation.*;

/**
 * 数据列表表头
 * <p>Copyright: Copyright (c) 2022</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface ExcelHead {

    String title() default "";

    String dataIndex() default "";

    DataTypeEnum dataType() default DataTypeEnum.string;

    int labelId() default -1;

    String width() default "";

}
